lava-job-priority: &lava-job-priority 78
lava-job-priority-sanity: &lava-job-priority-sanity 80

# If the job takes long than the lava-queue-timeout in hours to be scheduled
# the job will be canceled.
lava-queue-timeout: &lava-queue-timeout 48

# This is the tuxsuite kernel builds that was aimed for a stable base to integration testing for tuxrun.
# They can be used to LAVA's infra tests too.
arm64-kernel: &arm64-kernel https://storage.tuxboot.com/kernels/20241122/6.11.9/arm64/Image.gz
arm64-modules: &arm64-modules https://storage.tuxboot.com/kernels/20241122/6.11.9/arm64/modules.tar.xz

arm64-db410c-dtb: &arm64-db410c-dtb https://storage.tuxboot.com/kernels/20241122/6.11.9/arm64/dtbs/qcom/apq8016-sbc.dtb
arm64-db845c-dtb: &arm64-db845c-dtb https://storage.tuxboot.com/kernels/20241122/6.11.9/arm64/dtbs/qcom/sdm845-db845c.dtb

# debian rootfs
rootfs-debian-trixie-arm: &rootfs-debian-trixie-arm https://storage.tuxboot.com/debian/20240913/trixie/armhf/rootfs.ext4.xz
rootfs-debian-trixie-arm-tar: &rootfs-debian-trixie-arm-tar https://storage.tuxboot.com/debian/20240913/trixie/armhf/rootfs.tar.xz
rootfs-debian-trixie-arm64: &rootfs-debian-trixie-arm64 https://storage.tuxboot.com/debian/20240913/trixie/arm64/rootfs.ext4.xz
rootfs-debian-trixie-arm64-tar: &rootfs-debian-trixie-arm64-tar https://storage.tuxboot.com/debian/20240913/trixie/arm64/rootfs.tar.xz
rootfs-debian-trixie-i386: &rootfs-debian-trixie-i386 https://storage.tuxboot.com/debian/20240913/trixie/i386/rootfs.ext4.xz
rootfs-debian-trixie-i386-tar: &rootfs-debian-trixie-i386-tar https://storage.tuxboot.com/debian/20240913/trixie/i386/rootfs.tar.xz
rootfs-debian-trixie-s390: &rootfs-debian-trixie-s390 https://storage.tuxboot.com/debian/20240913/trixie/s390x/rootfs.ext4.xz
rootfs-debian-trixie-s390-tar: &rootfs-debian-trixie-s390-tar https://storage.tuxboot.com/debian/20240913/trixie/s390x/rootfs.tar.xz
rootfs-debian-trixie-x86_64: &rootfs-debian-trixie-x86_64 https://storage.tuxboot.com/debian/20240913/trixie/amd64/rootfs.ext4.xz
rootfs-debian-trixie-x86_64-tar: &rootfs-debian-trixie-x86_64-tar https://storage.tuxboot.com/debian/20240913/trixie/amd64/rootfs.tar.xz

ltp-debian-trixie-arm: &ltp-debian-trixie-arm https://storage.tuxboot.com/overlays/debian/trixie/armhf/ltp/20240930/ltp.tar.xz
ltp-debian-trixie-arm64: &ltp-debian-trixie-arm64 https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/20240930/ltp.tar.xz
ltp-debian-trixie-i386: &ltp-debian-trixie-i386 https://storage.tuxboot.com/overlays/debian/trixie/i386/ltp/20240930/ltp.tar.xz
ltp-debian-trixie-x86_64: &ltp-debian-trixie-x86_64 https://storage.tuxboot.com/overlays/debian/trixie/amd64/ltp/20240930/ltp.tar.xz

boot-timeout-arm: &boot-timeout-arm 30
boot-timeout-arm64: &boot-timeout-arm64 30
boot-timeout-x86: &boot-timeout-x86 15

version: 1
name: Verify LAVA infrastructure with linux-6.11.9 branch.
description: Test a known stable linux kernel and tests in LKFT's LAVA staging environment.
jobs:
# arm64
- name: arm64-tests
  tests:
    - device: dragonboard-410c
      kernel: *arm64-kernel
      modules: *arm64-modules
      boot_args: rw
      dtb: *arm64-db410c-dtb
      parameters: {SKIPFILE: "skipfile-lkft.yaml", MODULES_PATH:  "/usr/", DEPLOY_OS: "debian", LAVA_JOB_PRIORITY: *lava-job-priority, LAVA_QUEUE_TIMEOUT: *lava-queue-timeout}
      rootfs: *rootfs-debian-trixie-arm64
      overlay: [ *ltp-debian-trixie-arm64 ]
      tests: [ltp-fcntl-locktests]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: dragonboard-410c
      kernel: *arm64-kernel
      modules: *arm64-modules
      boot_args: rw
      dtb: *arm64-db410c-dtb
      parameters: {SKIPFILE: "skipfile-lkft.yaml", MODULES_PATH:  "/usr/", DEPLOY_OS: "debian", LAVA_JOB_PRIORITY: *lava-job-priority, LAVA_QUEUE_TIMEOUT: *lava-queue-timeout}
      rootfs: *rootfs-debian-trixie-arm64
      overlay: [ *ltp-debian-trixie-arm64 ]
      tests: [ltp-fs_perms_simple]
    - device: dragonboard-410c
      kernel: *arm64-kernel
      modules: *arm64-modules
      boot_args: rw
      dtb: *arm64-db410c-dtb
      parameters: {SKIPFILE: "skipfile-lkft.yaml", MODULES_PATH:  "/usr/", DEPLOY_OS: "debian", LAVA_JOB_PRIORITY: *lava-job-priority, LAVA_QUEUE_TIMEOUT: *lava-queue-timeout}
      rootfs: *rootfs-debian-trixie-arm64
      overlay: [ *ltp-debian-trixie-arm64 ]
      tests: [ltp-ipc]
    - device: dragonboard-410c
      kernel: *arm64-kernel
      modules: *arm64-modules
      boot_args: rw
      dtb: *arm64-db410c-dtb
      parameters: {SKIPFILE: "skipfile-lkft.yaml", MODULES_PATH:  "/usr/", DEPLOY_OS: "debian", LAVA_JOB_PRIORITY: *lava-job-priority, LAVA_QUEUE_TIMEOUT: *lava-queue-timeout}
      rootfs: *rootfs-debian-trixie-arm64
      overlay: [ *ltp-debian-trixie-arm64 ]
      tests: [ltp-math]
    - device: dragonboard-410c
      kernel: *arm64-kernel
      modules: *arm64-modules
      boot_args: rw
      dtb: *arm64-db410c-dtb
      parameters: {SKIPFILE: "skipfile-lkft.yaml", MODULES_PATH:  "/usr/", DEPLOY_OS: "debian", LAVA_JOB_PRIORITY: *lava-job-priority, LAVA_QUEUE_TIMEOUT: *lava-queue-timeout}
      rootfs: *rootfs-debian-trixie-arm64
      overlay: [ *ltp-debian-trixie-arm64 ]
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-arm64 }
